Hooks:Add("BeardLibCreateScriptDataMods", "QGBO_CallBeardLibSequenceFuncs", function()
	
if Global.load_level == true and Global.level_data.level_id == "quack_goldbrick_old_01" then 
		BeardLib:ReplaceScriptData("mods/Goldbrick/generic/mm.objective.custom_xml", "custom_xml", "gamedata/objectives", "objective", nil);
		BeardLib:ReplaceScriptData("mods/Goldbrick/day1/quack_goldbrick_01.mission.generic_xml", "generic_xml", "levels/narratives/e_framing_frame/stage_2/world/world", "mission", nil);
		BeardLib:ReplaceScriptData("mods/Goldbrick/day1/quack_goldbrick_01.continent.custom_xml", "custom_xml", "levels/narratives/e_framing_frame/stage_2/pc_only/pc_only", "continent", nil);
	end
	
if Global.load_level == true and Global.level_data.level_id == "quack_goldbrick_old_02" then 
		BeardLib:ReplaceScriptData("mods/Goldbrick/generic/mm.objective.custom_xml", "custom_xml", "gamedata/objectives", "objective", nil);
		BeardLib:ReplaceScriptData("mods/Goldbrick/day2/quack_goldbrick_02.mission.generic_xml", "generic_xml", "levels/narratives/vlad/mallcrasher/mission_turf_war/mission_turf_war", "mission", nil);
		BeardLib:ReplaceScriptData("mods/Goldbrick/day2/quack_goldbrick_02.continent.custom_xml", "custom_xml", "levels/narratives/vlad/mallcrasher/mission_turf_war/mission_turf_war", "continent", nil);
		BeardLib:ReplaceScriptData("mods/Goldbrick/day2/quack_goldbrick_02_1.continent.custom_xml", "custom_xml", "levels/narratives/vlad/mallcrasher/world/world", "continent", nil);
		BeardLib:ReplaceScriptData("mods/Goldbrick/day2/quack_goldbrick_02_2.continent.custom_xml", "custom_xml", "levels/narratives/vlad/mallcrasher/ed3_world/ed3_world", "continent", nil);
		
		BeardLib:ReplaceScriptData("mods/Goldbrick/generic/objective_phone.sequence_manager.generic_xml", "generic_xml", "units/payday2/equipment/gen_interactable_objective_iphone/gen_interactable_objective_iphone", "sequence_manager", nil);
		
		if not PackageManager:loaded("levels/narratives/bain/cage/world") then PackageManager:load("levels/narratives/bain/cage/world") end
		if not PackageManager:loaded("levels/narratives/bain/cage/world/world") then PackageManager:load("levels/narratives/bain/cage/world/world") end
		if not PackageManager:loaded("levels/narratives/e_framing_frame/stage_3/world") then PackageManager:load("levels/narratives/e_framing_frame/stage_3/world") end
		if not PackageManager:loaded("levels/narratives/e_framing_frame/stage_3/world/world") then PackageManager:load("levels/narratives/e_framing_frame/stage_3/world/world") end
	end
end)